<?php
/**
 * @package     File Attachments
 * @version     1.0.0
 * @copyright   Copyright (C) 2021 JoomHelper.com
 * @license     GNU General Public License version 2 or later
 * @author      JoomHelper
 */

defined("_JEXEC") or die;
?>
<form class="jfile" action="<?php echo JUri::root(true).'/index.php' ?>" method="post" target="_blank">
    <span class="__name">
        <?php if($this->params->get('show_ext',1)):?>
        <span class="__ext"><?php echo JFile::getExt($file->fileName) ?></span>
        <?php endif;?>
        
        <a class="__title" href="#"><?php echo $file->name ?></a>
    </span>

    <span class="__size"><?php echo $this->formatFileSize($file->fileSize) ?></span>

    <?php if($file->downloadCount>0 && $this->params->get('show_download_count',1)):?>
    <span class="__count">
        <?php echo jtext::sprintf('ATM_DOWNLOAD_COUNT', '<strong>'.number_format($file->downloadCount).'</strong>') ?>
    </span>
    <?php endif;?>

    <?php if(!preg_match('/^\s*$/', $file->description) && $this->params->get('show_desc',1)):?>
    <p class="__desc"><?php echo nl2br($file->description) ?></p>
    <?php endif;?>

    <input type="hidden" name="option" value="com_ajax">
    <input type="hidden" name="plugin" value="jmpattachments">
    <input type="hidden" name="group" value="content">
    <input type="hidden" name="task" value="download">
    <input type="hidden" name="format" value="raw">
    <input type="hidden" name="id" value="<?php echo $file->id ?>">
</form>